<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="ARRAYED.html"><font color="#008000">ARRAYED</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Generic collection"</font>;
  
  <br><font FACE="Sans-serif" color="#000000"><B> BSBS: A revoir cela doit rentrer ARRAYED_COLLECTION (mais il faut voir avec STRING)</B></font>
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">upper</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">count</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">capacity</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">element_sizeof</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  The size in number of bytes for type `E'.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">add_last_buffer</font></strong> buf:<a href="FAST_ARRAY.html"><font color="#008000">FAST_ARRAY</font></a>[<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>] <strong><font color="#0000FF">from</font></strong> beg:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">to</font></strong> end:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">item_byte</font></strong> idx:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">offset</font></strong> ofs:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_capacity</font></strong> new_capacity:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
</body>
</html>

